Page MenuHomePhabricator

'Group results by page' option is sticky
Closed, ResolvedPublic

Description

Found when checking T168513: Enable 'Group results by page' preference on the RC page itself.

'Restore default filters' and 'Clear all filters' will display ungrouped changes with 'Group results by page' option checked

  1. On the RC page enable the 'Group results by page' option in the 'Show last changes' selector.
  2. The changes will be displayed as grouped.
  3. Click on the trash icon ( 'Clear all filters') or on 'Restore default filters' - the changes will be ungrouped, but the 'Group results by page' option will be displayed as enabled.

A user will need to uncheck 'Group results by page' option and check it again to see changes as grouped.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2017, 11:55 PM
Etonkovidova renamed this task from 'Restore default filters' and 'Clear all filters' will display ungrouped changes with 'Group results by page' option checked to 'Group results by page' option is sticky .Aug 7 2017, 4:59 PM
Etonkovidova updated the task description. (Show Details)

Change 372891 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Ignore sticky filters when emptying all filters

https://gerrit.wikimedia.org/r/372891

Mooeypoo removed Mooeypoo as the assignee of this task.Aug 21 2017, 9:04 PM
Mooeypoo added a subscriber: Mooeypoo.

Change 372891 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Ignore sticky filters when emptying all filters

https://gerrit.wikimedia.org/r/372891

Checked the fix in betalabs and cawiki (wmf.15).

Etonkovidova closed this task as Resolved.Aug 23 2017, 10:19 PM
jmatazzoni reopened this task as Open.Aug 24 2017, 12:23 AM
jmatazzoni added a subscriber: jmatazzoni.

Just checking: What is the behavior now? When you hit the trashcan, does it get rid of group changes? What about when you Restore Defaults?

@Etonkovidova, what is the behavior now? I looked on beta, and currently clicking trashcan does not clear the "Group by page" setting. It should, right? Has the fix just not propagated to beta?

Etonkovidova added a comment.EditedAug 25 2017, 4:27 PM

@jmatazzoni RC page "Group by page" setting is basically the same as Preferences-RC-"Group changes by page in recent changes and watchlist". If you check "Group by page" on RC page, it will be automatically checked in Preferences and vice versa. So, "Group by page" persists unless you uncheck it.

The bug was not about dismissing "Group by page" setting, it was about discrepancy - the changes were shown ungrouped, but "Group by page" was checked.

Click on the trash icon ( 'Clear all filters') or on 'Restore default filters' - the changes will be ungrouped, but the 'Group results by page' option will be displayed as enabled.

In T172580#3553446, @Etonkovidova wrote:

..."Group by page" persists unless you uncheck it.

That behavior is incorrect. This has traditionally been a preference. As with the number of days and the number of results settings, when you hit the trashcan, this should revert to the preference (default) setting.

If, as you say, that is not what this ticket is about, should I file a separate ticket to make it so that this reverts?

@jmattazoni - yes, the separate ticket about "Group by page" expected behavior should be filed separately.

In T168513: Enable 'Group results by page' preference on the RC page itself the behavior is specified as the following:

Relationship to preferences page: The ultimate intention is to remove the preference on the Preferences page for this, for users who have the beta. But that all needs to be worked out. So in the near term, let's just make these preferences simply update one another. I.e., if a change is made in one location, it must be reflected also in the other.

The above implies that the "Group by page" RC page setting is inherently persistent (just like Preferences-Watchlist-Group by page setting). That behavior, as you pointed out, is not consistent with the 'Days' and 'Number of changes' settings behavior.

Closing this ticket as a just a specific bug which has been fixed.

Etonkovidova closed this task as Resolved.Aug 25 2017, 11:43 PM